from pydantic import BaseModel
from ipaddress import IPv4Address


class Vpn(BaseModel):
    index: int = 1

    user: str = 'unitStubRemoteLogin2020202'
    password: str = '11'

    ip: IPv4Address = IPv4Address('0.0.0.11')
    ip_address: IPv4Address = IPv4Address('0.0.0.1')
    client_ip_address: IPv4Address = IPv4Address('0.0.0.1')
    port: int = 1

    psk: str = '1'
    access: str = '1'
    handshake: str = '1'
    encryption: str = '1'

    vlan: str = '1'
    vpn_type: str = '11'

    mtu: int = 0
    mru: int = 0

    broadcast: str = '1'
    reserved: str = '1'

